Foro

Home Forums Plugins, Github, NPM actualizar version de cordova para poder instalar devicepush plugin

This topic contains 6 replies, has 2 voices, and was last updated by juan juan 3 años, 2 meses .

Viendo 7 respuestas - de la 1 a 7 (de 7 en total)
  • actualizar version de cordova para poder instalar devicepush plugin

    Intervenciones
  • juan
    juan 
    Participant

    Hola
    estoy tratando de instalar el plugin como lo indica la documentacion con el comando:
    cordova plugin add com.devicepush.cordova-phonegap –variable SENDER_ID=”XXXXXXX”
    cambiando las xxxx por mi id de remitente de fcm.
    pero me sale que tengo la version 4.1.1 de cordova y requiere la 6.4.0
    intente actualizarla pero queda en la misma, como se puede actualizar?

    esto es lo que me sale en la linea de comandos.
    Fetching plugin “com.devicepush.cordova-phonegap” via npm
    Installing “com.devicepush.cordova-phonegap” for android
    Fetching plugin “phonegap-plugin-push@v1.10.2″ via npm
    Installing “phonegap-plugin-push” for android
    Plugin doesn’t support this project’s cordova version. cordova: 4.1.1, failed version requirement: >=6.4.0


    Jose Jesus Perez Rivas
    Jose Jesus Perez Rivas 
    Keymaster

    Hola @oktal,

    Creo que es posible que actualizaras generalmente cordova en tu ordenador, pero no la versión de cordova en ese proyecto en concreto. ¿Es posible?

    A la hora de actualizar cordova en tu ordenador de forma general tendrás que ejecutar el comando:
    1.  npm update -g cordova

    Y para actualizar la versión de cordova del proyecto tendrás que ejecutar dentro de la carpeta del proyecto el comando:
    1.  cordova platform update android

    Espero te sea de ayuda :)


    juan
    juan 
    Participant

    hola,
    hice todo lo que me indicaste y a nivel general me actualizo bien a 7.0.1
    pero a nivel de proyecto me sale un error
    Error: Cannot find module ‘config-chain’

    y no me deja actualizarlo y tampoco ver la version actual.

    └── cordova@7.0.1

    I:\proyectos\movil\phonegap\ejemplos\proyecto>cordova platform update and
    roid
    ? May Cordova anonymously report usage statistics to improve the tool over time?
    No

    You have been opted out of telemetry. To change this, run: cordova telemetry on.

    Error: Cannot find module ‘config-chain’

    I:\proyectos\movil\phonegap\ejemplos\proyecto>cordova platform update and
    roid
    Error: Cannot find module ‘config-chain’

    I:\proyectos\movil\phonegap\ejemplos\proyecto>cordova platform update bro
    wser
    Error: Cannot find module ‘config-chain’

    I:\proyectos\movil\phonegap\ejemplos\proyecto>cordova platform update ios

    Error: Cannot find module ‘config-chain’

    I:\proyectos\movil\phonegap\ejemplos\proyecto>cordova platform version
    Error: Cannot find module ‘config-chain’

    I:\proyectos\movil\phonegap\ejemplos\proyecto>


    Jose Jesus Perez Rivas
    Jose Jesus Perez Rivas 
    Keymaster

    Hola @oktal,

    Intenta creando un proyecto nuevo de PhoneGap desde cero con el comando:

    1.  phonegap create MiProyecto com.miempresa.miproyecto MiProyecto

    Luego copia de tu anterior proyecto la carpeta “www” y el archivo “config.xml” y lo pones dentro de este nuevo proyecto que has creado.

    Intenta compilar a ver que tal … ;)


    juan
    juan 
    Participant

    hola,
    gracias por tu ayuda, al final me salieron muchos errores, decidi desinstalar todo cordova, y volverlo a instalar,

    pero ahora me instalo el plugin bien para android, bien para browser y para ios me sale el siguiente error

    Failed to install ‘phonegap-plugin-push’:undefined
    Failed to install ‘com.devicepush.cordova-phonegap’:undefined
    Error: CocoaPods was not found. Please install version 1.0.1 or greater from https://cocoapods.org/


    Jose Jesus Perez Rivas
    Jose Jesus Perez Rivas 
    Keymaster

    Hola @oktal,

    Si estás compilando en local para iOS, tendrás que instalarte “https://cocoapods.org/” y actualizar seguramente tu xcode. También puedes compilar desde PhoneGap Build, y te quitas de estos problemillas de versionado ;)


    juan
    juan 
    Participant

    la verdad estoy compilando con intel xdk estoy en windows desde ahi siempre he compilado ambas la de android y ios, sin ningún problema y las monto a ambas tiendas sin problemas, solo me empezo a suceder esto al tratar de instalar el plugin de devicepush.


Viendo 7 respuestas - de la 1 a 7 (de 7 en total)

You must be logged in to reply to this topic.

RT @PWAExpertsIO: 🎙️ Cómo capturar 🎼 audios con tu #PWA. @JoseJ_PR te enseña cómo hacerlo a través de este #tutorial👇🏼 https://t.co/Rkpw609:57 PM Jun 8th